Bug 233452 (poppler-0.71.0) - [exp-run] update graphics/poppler to 0.72.0
Summary: [exp-run] update graphics/poppler to 0.72.0
Status: Closed FIXED
Alias: poppler-0.71.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D17456
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-23 21:03 UTC by Tobias C. Berner
Modified: 2018-12-16 19:22 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
antoine: exp-run+


Attachments
v1 (90.82 KB, patch)
2018-11-23 21:03 UTC, Tobias C. Berner
no flags Details | Diff
v2 (186.69 KB, patch)
2018-12-11 13:28 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2018-11-23 21:03:39 UTC
Created attachment 199497 [details]
v1

Hi there

kde/gnome@ would like to ask for an exp-run to upgrade the poppler ports to 0.71.0.


The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/poppler-0.71.v1.diff


mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2018-11-25 20:21:57 UTC
print/frescobaldi: Error: print/frescobaldi depends on nonexistent origin 'graphics/py-poppler-qt4'
Comment 3 commit-hook freebsd_committer 2018-11-30 22:20:05 UTC
A commit references this bug:

Author: tcberner
Date: Fri Nov 30 22:19:53 UTC 2018
New revision: 486305
URL: https://svnweb.freebsd.org/changeset/ports/486305

Log:
  editors/libreoffice: prepare for poppler 0.71

  PR:		233452
  Obtained from:	Arch Linux

Changes:
  head/editors/libreoffice/files/patch-archgit_poppler-0.70.patch
  head/editors/libreoffice/files/patch-archgit_poppler-0.71.patch
Comment 4 commit-hook freebsd_committer 2018-12-11 08:26:46 UTC
A commit references this bug:

Author: tcberner
Date: Tue Dec 11 08:25:47 UTC 2018
New revision: 487226
URL: https://svnweb.freebsd.org/changeset/ports/487226

Log:
  print/tex-xetex, print/tex-luatex: prepare for poppler upgrade

  There are many api changes inside poppler, and our TeX distribution is ancient.
  For now, switch these to use their bundled version of poppler.

  PR:		233452

Changes:
  head/print/tex-luatex/Makefile
  head/print/tex-xetex/Makefile
Comment 5 Tobias C. Berner freebsd_committer 2018-12-11 13:28:20 UTC
Created attachment 200038 [details]
v2

This one switches to the freshly released poppler 0.72

- tex-luatex/tex-xetex: switched to bundled version already

- openoffice: switch to bundled poppler in patch 
- print/scribus-devel: contains backported compatiblity fixes in patch


https://people.freebsd.org/~tcberner/patches/poppler-0.72.v1.diff
Comment 6 Antoine Brodin freebsd_committer 2018-12-11 20:57:20 UTC
[00:00:16] Warning: Nonexistent origin listed in category Makefiles: graphics/diff-pdf (skipping)
Comment 7 Antoine Brodin freebsd_committer 2018-12-16 10:41:30 UTC
Exp-run looks fine
Comment 8 commit-hook freebsd_committer 2018-12-16 15:11:34 UTC
A commit references this bug:

Author: tcberner
Date: Sun Dec 16 15:10:46 UTC 2018
New revision: 487596
URL: https://svnweb.freebsd.org/changeset/ports/487596

Log:
  Update poppler to 0.72

  This update brings many changes
  - the build system has switched to cmake
  - some ports needed to be switched to use their bundled
    version of poppler:
    - print/tex-luatex (r487226)
    - print/tex-xetex (r487226)
    - editors/opeonffice-devel
  - Qt4 support has been dropped
    - print/frescobaldi has been removed for this reason.
  - most of the added patches can be removed with the next
    upgrade of the concerning port.

  PR:		233452
  Exp-run by:	antoine
  Approved by:	gnome (kwm)
  Differential Revision:	https://reviews.freebsd.org/D17456

Changes:
  head/MOVED
  head/databases/kbibtex/Makefile
  head/editors/calligra/Makefile
  head/editors/calligra/files/patch-debian_poppler-0.69.patch
  head/editors/calligra/files/patch-filters_karbon_pdf_PdfImport.cpp
  head/editors/calligra/files/patch-filters_karbon_pdf_SvgOutputDev.cpp
  head/editors/calligra/files/patch-filters_karbon_pdf_SvgOutputDev.h
  head/editors/libreoffice/Makefile
  head/editors/libreoffice/files/patch-archgit_poppler-0.70.patch
  head/editors/libreoffice/files/patch-archgit_poppler-0.71.patch
  head/editors/openoffice-devel/Makefile
  head/editors/texmaker/Makefile
  head/editors/texstudio/Makefile
  head/editors/texstudio/distinfo
  head/editors/texstudio/pkg-plist
  head/graphics/Makefile
  head/graphics/diff-pdf/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/inkscape/files/patch-CMakeScripts_Pod2man.cmake
  head/graphics/inkscape/files/patch-archgit_bee18ea
  head/graphics/inkscape/files/patch-src_libnrtype_FontFactory.cpp
  head/graphics/krita/Makefile
  head/graphics/okular/Makefile
  head/graphics/okular-kde4/Makefile
  head/graphics/okular-kde4/pkg-plist
  head/graphics/openfx-arena/Makefile
  head/graphics/poppler/Makefile
  head/graphics/poppler/distinfo
  head/graphics/poppler/files/patch-CMakeLists.txt
  head/graphics/poppler/files/patch-configure
  head/graphics/poppler/files/patch-glib_Makefile.in
  head/graphics/poppler/files/patch-glib_demo_Makefile.in
  head/graphics/poppler/files/patch-qt4_Makefile.in
  head/graphics/poppler/files/patch-qt4_src_Makefile.in
  head/graphics/poppler/files/patch-qt5_Makefile.in
  head/graphics/poppler/files/patch-qt5_src_Makefile.in
  head/graphics/poppler/files/patch-qt5_src_poppler-form.h
  head/graphics/poppler/files/patch-utils_Makefile.in
  head/graphics/poppler/pkg-plist
  head/graphics/poppler-glib/Makefile
  head/graphics/poppler-glib/pkg-plist
  head/graphics/poppler-qt4/
  head/graphics/poppler-qt5/Makefile
  head/graphics/poppler-qt5/pkg-plist
  head/graphics/poppler-utils/Makefile
  head/graphics/py-poppler/Makefile
  head/graphics/py-poppler-qt4/
  head/misc/tellico-kde4/Makefile
  head/net/kitinerary/Makefile
  head/print/Makefile
  head/print/frescobaldi/
  head/print/pdf-tools/Makefile
  head/print/pdf-tools/files/patch-server_poppler-hack.cc
  head/print/qpdfview/Makefile
  head/print/scribus-devel/Makefile
  head/print/scribus-devel/files/
  head/print/scribus-devel/files/patch-scribus_plugins_import_pdf_importpdf.cpp
  head/print/scribus-devel/files/patch-scribus_plugins_import_pdf_importpdf.h
  head/print/scribus-devel/files/patch-scribus_plugins_import_pdf_slaoutput.cpp
  head/print/scribus-devel/files/patch-scribus_plugins_import_pdf_slaoutput.h
  head/sysutils/kfilemetadata-kde4/Makefile
  head/sysutils/kfilemetadata-kde4/pkg-plist
  head/sysutils/nepomuk-core-kde4/Makefile
  head/sysutils/nepomuk-core-kde4/pkg-plist
  head/textproc/pdfgrep/Makefile
  head/x11/leechcraft/Makefile
  head/x11/leechcraft/pkg-plist
Comment 9 Tobias C. Berner freebsd_committer 2018-12-16 19:22:35 UTC
Committed. Thanks for the exp-run.